/**
 * Copyright 2010-2012 Bull S.A.S.
 * Copyright 2013 Peergreen S.A.S.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.ow2.spec.ee.validation;

import javax.validation.ValidationProviderResolver;

public class ValidationProviderResolverHolder {

    /**
     * Existing validation provider.
     */
    private static ValidationProviderResolver validationProviderResolver= null;
    
    public static void setValidationProviderResolver(ValidationProviderResolver validationProviderResolver) {
        ValidationProviderResolverHolder.validationProviderResolver = validationProviderResolver;
    }
    
    public static ValidationProviderResolver getValidationProviderResolver() {
        if (validationProviderResolver == null) {
            // Return a default validation provider by default
            return new ValidationProviderResolverImpl();
        }
        return validationProviderResolver;
    }
}
